GP-DISPLAY-SRC(1)

NAME
gp-display-src - display the source code, optionally interleaved with the disassembly of the target object

SYNOPSIS
gprofng display src [OPTION(S)] TARGET-OBJECT

DESCRIPTION
Display the source code listing, or source code interleaved with disassembly code, as extracted from the target object (an executable, shared object, object file, or a Java .class file).

OPTIONS

--version
    print the version number and exit.

--help
    print usage information and exit.

--verbose {on|off}
    enable (on) or disable (off) verbose mode; the default is "off".

-func
    list all the functions from the given object.

-source item tag
    show the source code for item; the tag is used to differentiate in case of multiple occurences with the same name; the combination of "all -1" selects all the functions in the object; the default is "-source all -1".

-disasm item tag
    show the source code, interleaved with the disassembled instructions; the same definitions for item and tag apply.

-outfile <filename>
    write results to file <filename>; a dash (-) writes to stdout; this is also the default; note that this only affects options included to the right of this option.

DOCUMENTATION

A getting started guide for gprofng is maintained as a Texinfo manual. If the info and gprofng programs are properly installed at your site, the command "info gprofng" should give you access to this document.

SEE ALSO

gprofng(1), gp-archive(1), gp-collect-app(1), gp-display-html(1), gp-display-text(1)

COPYRIGHT
Copyright © 2023 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.